use bevy::prelude::Commands;

use crate::components::*;
use crate::util::*;

pub fn spawn_player_character(mut commands: Commands) {
    let (hp, _) = roll("1d6 + 3");
    commands.spawn(Creature {
	health: Health {
	    hp,
	    max: hp,
	},
	armor: Armor {
	    ac: 10,
	},
	position: Position {
	    x: 0.0,
	    y: 0.0,
	},
    })
    .insert(PlayerCharacter);
}
